@echo off
REM setlocal

:TEST_WIN_VISTA_7
IF NOT EXIST "%HOMEDRIVE%%HOMEPATH%\AppData\Roaming\TroikaTronix" GOTO TEST_XP
echo.
echo Found Isadora Preference Folder (Windows 7/Vista)
SET TTPATH="%HOMEDRIVE%%HOMEPATH%\AppData\Roaming\TroikaTronix\*.izp"
GOTO TEST_FOR_PREFS_FILE

:TEST_XP
IF NOT EXIST "%HOMEDRIVE%%HOMEPATH%\Application Data\TroikaTronix" GOTO NO_PREFERENCES_FOLDER_FOUND
echo.
echo Found Isadora Preference Folder (Windows XP)
SET TTPATH="%HOMEDRIVE%%HOMEPATH%\Application Data\TroikaTronix\*.izp"
GOTO TEST_FOR_PREFS_FILE

:NO_PREFERENCES_FOLDER_FOUND
echo.
echo The Isadora Preferences directory does not exist!
goto EXIT

:TEST_FOR_PREFS_FILE
IF EXIST %TTPATH% GOTO CONFIRM_DELETE
echo.
echo The Isadora Preferences directory is empty.
goto EXIT

:CONFIRM_DELETE
echo.
set /p deletePrefs=Delete All Isadora Preference Files? [y/n] ?: 
if "%deletePrefs%"=="y" (GOTO DELETE_PREFS) else (GOTO DONT_DELETE_PREFS)

:DELETE_PREFS
del %TTPATH%
echo.
echo All Isadora Preference Files have been Deleted.
goto EXIT

:DONT_DELETE_PREFS
echo.
echo ** OPERATION CANCELLED **
goto EXIT

:EXIT
REM endlocal
echo.
pause
@echo on
